aboutsummaryrefslogtreecommitdiffstats
path: root/tests/db-exclusive-lock/t
diff options
context:
space:
mode:
Diffstat (limited to 'tests/db-exclusive-lock/t')
-rw-r--r--tests/db-exclusive-lock/t6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/db-exclusive-lock/t b/tests/db-exclusive-lock/t
index c2df4b5..0d0badb 100644
--- a/tests/db-exclusive-lock/t
+++ b/tests/db-exclusive-lock/t
@@ -10,7 +10,7 @@ sleep .5
# subsequent runs fail as we can't acquire the exclusive lock
! interimap || error
-grep -Fx "DBD::SQLite::db do failed: database is locked at ./interimap line 176." <"$STDERR" \
- || error "Is \$DBH->do(\"PRAGMA locking_mode = EXCLUSIVE\"); at line 176?"
+grep -Ex "DBD::SQLite::db do failed: database is locked at (\S+/)?interimap line 181\." <"$STDERR" \
+ || error "Is \$DBH->do(\"PRAGMA locking_mode = EXCLUSIVE\"); at line 181?"
-# vim: set filetype=sh :
+# vim: set filetype=bash :